### Method

# FwupdPlugin Device set_alternate_id

since: 1.1.0

#### Declaration [src]

    void
    fu_device_set_alternate_id (
      FuDevice* self,
      const gchar* alternate_id
    )

#### Description [src]

Sets any alternate device ID. An alternate device may be linked to the primary device in some way.

Available since: 1.1.0

#### Parameters

`alternate_id`

  Type: `const gchar*`

  Another `FuDevice` ID.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.